Delete identityProvider (deprecated)
Artikel
07/20/2022
2 menit untuk membaca
9 kontributor
Dalam artikel ini
Namespace: microsoft.graph
Caution
This identity provider API is deprecated and will stop returning data after March, 2023. Please use the new identity provider API .
Delete an existing identityProvider .
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions .
Permission type
Permissions (from least to most privileged)
Delegated (work or school account)
IdentityProvider.ReadWrite.All
Delegated (personal Microsoft account)
Not supported.
Application
Not supported.
The work or school account must be a global administrator of the tenant.
HTTP request
DELETE /identityProviders/{id}
Name
Description
Authorization
Bearer {token}. Required.
Request body
Do not supply a request body for this method.
Response
If successful, this method returns 204 No Content response code.
Example
The following example deletes an identityProvider .
Request
DELETE https://graph.microsoft.com/v1.0/identityProviders/Amazon-OAuth
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
await graphClient.Identity.IdentityProviders["{identityProviderBase-id}"]
.Request()
.DeleteAsync();
For details about how to add the SDK to your project and create an authProvider instance, see the SDK documentation .
const options = {
authProvider,
};
const client = Client.init(options);
await client.api('/identity/identityProviders/{id}')
.delete();
For details about how to add the SDK to your project and create an authProvider instance, see the SDK documentation .
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
graphClient.identity().identityProviders("{id}")
.buildRequest()
.delete();
For details about how to add the SDK to your project and create an authProvider instance, see the SDK documentation .
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
graphClient.Identity().IdentityProvidersById("identityProviderBase-id").Delete()
For details about how to add the SDK to your project and create an authProvider instance, see the SDK documentation .
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$graphServiceClient->identity()->identityProvidersById('identityProviderBase-id')->delete();
For details about how to add the SDK to your project and create an authProvider instance, see the SDK documentation .
Response
HTTP/1.1 204 No Content